package com.hw.ems.api.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 集中器通讯信息对象 base_collect_communicate
 *
 * @author sf
 * @date 2023-04-20
 */
public class BaseCollectCommunicate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objid;

    /** 集中器编号 */
    @Excel(name = "集中器编号")
    private String collectDeviceId;

    /** 终端时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "终端时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date terminalTime;

    /** 时间间隔 */
    @Excel(name = "时间间隔")
    private Long timeInterval;

    /** 仪表协议 */
    @Excel(name = "仪表协议")
    private String meterAgreement;

    /** 仪表类型 */
    @Excel(name = "仪表类型")
    private Long meterType;

    /** 仪表状态 */
    @Excel(name = "仪表状态")
    private Long meterStatus;

    /** 终端地址 */
    @Excel(name = "终端地址")
    private String meterIp;

    /** 心跳频率 */
    @Excel(name = "心跳频率")
    private Long heartInterval;

    /** 波特率一通道 */
    @Excel(name = "波特率一通道")
    private Long baudRateOne;

    /** 波特率二通道 */
    @Excel(name = "波特率二通道")
    private Long baudRateTwo;

    /** 波特率三通道 */
    @Excel(name = "波特率三通道")
    private Long baudRateThree;

    /** 波特率四通道 */
    @Excel(name = "波特率四通道")
    private Long baudRateFour;

    /** 权限标识（部门） */
    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    /** 权限标识（用户） */
    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setCollectDeviceId(String collectDeviceId)
    {
        this.collectDeviceId = collectDeviceId;
    }

    public String getCollectDeviceId()
    {
        return collectDeviceId;
    }
    public void setTerminalTime(Date terminalTime)
    {
        this.terminalTime = terminalTime;
    }

    public Date getTerminalTime()
    {
        return terminalTime;
    }
    public void setTimeInterval(Long timeInterval)
    {
        this.timeInterval = timeInterval;
    }

    public Long getTimeInterval()
    {
        return timeInterval;
    }
    public void setMeterAgreement(String meterAgreement)
    {
        this.meterAgreement = meterAgreement;
    }

    public String getMeterAgreement()
    {
        return meterAgreement;
    }
    public void setMeterType(Long meterType)
    {
        this.meterType = meterType;
    }

    public Long getMeterType()
    {
        return meterType;
    }
    public void setMeterStatus(Long meterStatus)
    {
        this.meterStatus = meterStatus;
    }

    public Long getMeterStatus()
    {
        return meterStatus;
    }
    public void setMeterIp(String meterIp)
    {
        this.meterIp = meterIp;
    }

    public String getMeterIp()
    {
        return meterIp;
    }
    public void setHeartInterval(Long heartInterval)
    {
        this.heartInterval = heartInterval;
    }

    public Long getHeartInterval()
    {
        return heartInterval;
    }
    public void setBaudRateOne(Long baudRateOne)
    {
        this.baudRateOne = baudRateOne;
    }

    public Long getBaudRateOne()
    {
        return baudRateOne;
    }
    public void setBaudRateTwo(Long baudRateTwo)
    {
        this.baudRateTwo = baudRateTwo;
    }

    public Long getBaudRateTwo()
    {
        return baudRateTwo;
    }
    public void setBaudRateThree(Long baudRateThree)
    {
        this.baudRateThree = baudRateThree;
    }

    public Long getBaudRateThree()
    {
        return baudRateThree;
    }
    public void setBaudRateFour(Long baudRateFour)
    {
        this.baudRateFour = baudRateFour;
    }

    public Long getBaudRateFour()
    {
        return baudRateFour;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("collectDeviceId", getCollectDeviceId())
            .append("terminalTime", getTerminalTime())
            .append("timeInterval", getTimeInterval())
            .append("meterAgreement", getMeterAgreement())
            .append("meterType", getMeterType())
            .append("meterStatus", getMeterStatus())
            .append("meterIp", getMeterIp())
            .append("heartInterval", getHeartInterval())
            .append("baudRateOne", getBaudRateOne())
            .append("baudRateTwo", getBaudRateTwo())
            .append("baudRateThree", getBaudRateThree())
            .append("baudRateFour", getBaudRateFour())
            .append("remark", getRemark())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
